// ////////////////////////////////////////////////////
//
// StdView.h : interface of the CStdView class
// Based on class COGLView : public CView
// Inspect COGLView for standard OpenGL initialization
//
////////////////////////////////////////////////////////
#include "oglview.h"

class CStdView : public COGLView
{
protected: 
	CStdView();
	DECLARE_DYNCREATE(CStdView)

// Attributes
private:
	// positioning by hand
	GLfloat m_xv,m_yv;
	CPoint 	m_PLast;
	// position
	GLfloat m_v[6];
	// accumulated time during movement
	GLfloat m_acct;
	// complete animation time
	GLfloat m_t;
	// number of steps in animation
	GLint m_antallsteg;

	// spotlight switch
	BOOL m_SpotIsOn;
	// daylight switch
	BOOL m_DayIsOn;

// Operations
public:
	CStdDoc* GetDocument();
	virtual void DrawScene();
	virtual void InitializeRContext();
	virtual void SetPerspective(int cx,int cy);
	int PickObject(int x, int y);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStdView)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CStdView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CStdView)
	afx_msg void OnActionMove1();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnActionSpot();
	afx_msg void OnUpdateActionSpot(CCmdUI* pCmdUI);
	afx_msg void OnActionDay();
	afx_msg void OnUpdateActionDay(CCmdUI* pCmdUI);
	afx_msg void OnRButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in StdView.cpp
inline CStdDoc* CStdView::GetDocument()
   { return (CStdDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
